%global momorel 1

%define __libtoolize :
Name: unixODBC

%define qtver 3.1.1
%define qtdir /usr/lib/qt-%{qtver}

### include local configuration
%{?include_specopt}
#  If you'd like to change these configurations, please copy them to
# /etc/rpm/specopt/unixODBC.specopt and edit it.
%{?!build_kdetool:	%define build_kdetool		0}

Summary: ODBC Driver for UNIX System
Version: 2.2.9
Release: %{momorel}m
Group: Development/Libraries
Source0: http://www.unixodbc.org/unixODBC-%{version}.tar.gz
Source1: odbcinst.ini
Source2: ODBCConfig.desktop
Source3: DataManager.desktop
Url: http://www.unixodbc.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
%if %{build_kdetool}
BuildPreReq: qt-devel >= %{qtver}
%endif
BuildPreReq: libpng-devel >= 1.2.2
Obsoletes: unixODBC-kde

License: LGPL
Provides: libodbc.so, libodbcinst.so
NoSource: 0

%description
The unixODBC Project goals are to develop and promote unixODBC to
be the definitive standard for ODBC on the Linux platform. 
 
Install unixODBC if you'd like to access databases through ODBC. This
package include drivers for PostgreSQL and local files.
  
If you want to develop programs that will access data through ODBC,
you'll also need to have the unixODBC package installed.  

%if %{build_kdetool}
%package kde
Summary: ODBC GUI support for KDE.
Group: User Interface/X
Requires: %name = %{version}-%{release}

%description kde
This package include GUI support for KDE.
%endif

%package devel
Summary: Development files for programs which will use the unixODBC library.
Group: Development/Libraries
Requires: unixODBC = %{version}
 
%description devel
Install unixODBC if you'd like to access databases through ODBC drivers.
  
If you want to develop programs that will access data through ODBC,
you'll also need to install the unixODBC-devel (this) package. 

%prep
rm -rf %{buildroot}

%setup -q

%build
%if %{build_kdetool}
export QTDIR=%{qtdir}
(cd ODBCConfig && rm -f mclass*.cpp)
(cd DataManager && rm -f mclass*.cpp)
enable_gui="yes"
%else
enable_gui="no"
%endif
%configure --with-gnu-ld=yes --enable-threads=yes --enable-gui=$enable_gui --enable-static=yes --enable-drivers
make all

%install
%if %{build_kdetool}
export QTDIR=%{qtdir}
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/System
mkdir -p %{buildroot}%{_datadir}/icons
%endif

%makeinstall
cp %{SOURCE1} %{buildroot}%{_sysconfdir}
%if %{build_kdetool}
cp DataManager/LinuxODBC.xpm %{buildroot}%{_datadir}/icons
cp odbcinstQ/smallLinuxODBC.xpm %{buildroot}%{_datadir}/icons
install -m755 %{SOURCE2} %{buildroot}%{_sysconfdir}/X11/applnk/System
install -m755 %{SOURCE3} %{buildroot}%{_sysconfdir}/X11/applnk/System
%endif

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README COPYING AUTHORS ChangeLog NEWS INSTALL doc
%config(noreplace) %{_sysconfdir}/odbc*
%{_libdir}/*so.*
%{_bindir}/odbcinst
%{_bindir}/isql
%{_bindir}/iusql
%{_bindir}/dltest
%{_bindir}/odbc_config

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a

%if %{build_kdetool}
%files kde
%defattr(-,root,root)
%{_bindir}/ODBCConfig
%{_bindir}/DataManager
/etc/X11/applnk/System/*
%endif

%changelog
* Thu Mar 10 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (2.2.9-1m)
- version up. a lot of fixes.

* Tue May  4 2004 Toru Hoshina <t@momonga-linux.org>
- (2.2.5-5m)
- rebuild against ncurses 5.3.

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (2.2.5-4m)
- revised spec for rpm 4.2.

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.5-3m)
- fix specopt(thanks Ichiro Nakai<i-nakai__at__gw2.gateway.ne.jp>)
- clean up

* Wed Mar 19 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (2.2.5-2m)
- add specopt build_kdetool that choose build kdetool

* Sat Mar  8 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2.5-1m)
- version 2.2.5

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.0.7-22k)
- rebuild against libpng 1.2.2.

* Mon Mar 25 2002 Toru Hoshina <t@kondara.org>
- (2.0.7-20k)
- rebuild against qt2 2.3.1 :-P

* Tue Nov 28 2001 Toru Hoshina <t@kondara.org>
- (2.0.7-18k)
- rebuild against qt 2.3.2.

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (2.0.7-16k)
- rebuild against libpng 1.2.0.

* Thu Aug 23 2001 Toru Hoshina <toru@df-usa.com>
- (2.0.7-2k)
- rebuild against KDE 2.2, Qt-2.3.1, version up.

* Sun Aug 13 2001 Toru Hoshina <toru@df-usa.com>
- (1.8.13-14k)
- rebuild against qt-2.3.1.

* Wed Apr 25 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.8.13-10k)
- add %defattr to kde %files section

* Sat Apr 14 2001 Toru Hoshina <toru@df-usa.com>
- (1.8.13-8k)
- add new package unixODBC-kde, including DataManager and ODBCConfig.

* Fri Mar 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.8.13-6k)
- rebuild against qt-2.3.0.

* Thu Dec 14 2000 Kenichi Matsubara <m@kondara.org>
- [1.8.13-5k]
- rebuild against qt-2.2.3.

* Sat Nov 25 2000 Kenichi Matsubara <m@kondara.org>
- update to 1.8.13.
- change new create unixODBC-devel package.

* Sat Jul  8 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Sun Jan 30 2000 Toru Hoshina <t@kondara.org>
- stripped. (*^_^*)

* Tue Jan 11 2000 ichiyama ryoichi <ichiyama@jc4.so-net.ne.jp>
- Upgrade to 1.8.3 and install Documents

* Wed Dec 1 1999 ShigeYuki TAKANO <j@kondara.org>
- add install.patch

* Sun Nov 28 1999 ShigeYuki TAKANO <j@kondara.org>
- Upgrade to 1.8.1

* Sat Oct 2 1999 ichiyama ryoichi <ichiyama@jc4.so-net.ne.jp>
- Append "%defattr" description.
